import CategoryService from "../services/category.js";
import translate from "../utils/translate.js";
import responseCodes from "../response/responseCodes.js";

const TAG = "controllers/category.js";

class CategoryController {
    async create(req, res) {
        const { localId, name, groupId } = req.body;

        await CategoryService.create(groupId, localId, name);

        return res.status(200).send(translate(req.headers["accept-language"], responseCodes.responses.general.ok));
    }

    async update(req, res) {
        const { localId, groupId, name } = req.body;

        await CategoryService.update(groupId, localId, name);

        return res.status(200).send(translate(req.headers["accept-language"], responseCodes.responses.general.ok));
    }
};

export default new CategoryController();