import { Router } from 'express';
import auth from '../middlewares/auth.js';
import AbstractProductController from '../controllers/abstractproduct.js';
import multer from 'multer';
import path from 'path';
import tryHandler from '../response/errorHandler.js';
import existance from '../middlewares/existance.js';

const upload = multer(({
    dest: path.join(path.resolve(path.dirname('')), "/temp")
}));

const AbstractProductRouter = new Router();

AbstractProductRouter.post('/create', upload.single("file"), tryHandler(auth.authenticate), tryHandler(auth.userIsInGroup), tryHandler(AbstractProductController.create));
AbstractProductRouter.post('/update', upload.single("file"), tryHandler(auth.authenticate), tryHandler(auth.userIsInGroup), tryHandler(existance.localIdExists), tryHandler(AbstractProductController.update));

export default AbstractProductRouter;