import jwt from 'jsonwebtoken';
import config from '../../config.json' with {type: "json"};

const genToken = (login) => {
    const payload = { login };
    return jwt.sign(payload, config.secret, { expiresIn: "7d" });
};

const getUserIdFromToken = (token) => {
    return jwt.decode(token).login.id;
}

export default { genToken, getUserIdFromToken };